%global upstream_name gunicorn

Name:           python-%{upstream_name}
Version:        19.6.0
Release:        %mkrel 2
Summary:        Python WSGI application server

Group:          Development/Python
License:        MIT
URL:            http://gunicorn.org/
Source0:        https://pypi.io/packages/source/g/%{upstream_name}/%{upstream_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-pytest >= 2.8.3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-pytest >= 2.8.3

%description
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the 
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI, 
Django, and Paster applications.

%package -n python3-%{upstream_name}
Summary:        Python3 WSGI application server
Group:          Development/Python

%description -n python3-%{upstream_name}
Gunicorn ("Green Unicorn") is a Python3 WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%prep
%setup -q -n %{upstream_name}-%{version}
# Tests requires a precise 2.8.3, whereas 3.0.5 also works
perl -pi -e 's/pytest==2.8.3/pytest>=2.8.3/' requirements_test.txt
cp -a . %{py3dir}
# doesn't compile with PY2
rm -f gunicorn/workers/_gaiohttp.py

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/%{upstream_name} %{buildroot}%{_bindir}/python3-%{upstream_name}
mv %{buildroot}%{_bindir}/%{upstream_name}_django %{buildroot}%{_bindir}/python3-%{upstream_name}_django
mv %{buildroot}%{_bindir}/%{upstream_name}_paster %{buildroot}%{_bindir}/python3-%{upstream_name}_paster
popd

%py2_install

%check
%{__python2} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%doc LICENSE NOTICE README.rst THANKS
%{python2_sitelib}/%{upstream_name}*
%{_bindir}/%{upstream_name}
%{_bindir}/%{upstream_name}_django
%{_bindir}/%{upstream_name}_paster

%files -n python3-%{upstream_name}
%doc LICENSE NOTICE README.rst THANKS
%{python3_sitelib}/%{upstream_name}*
%{_bindir}/python3-%{upstream_name}
%{_bindir}/python3-%{upstream_name}_django
%{_bindir}/python3-%{upstream_name}_paster


%changelog
* Sun Jan 08 2017 daviddavid <daviddavid> 19.6.0-2.mga6
+ Revision: 1080669
- rebuild against python(3)-pytest
- use new pyton macros

* Mon Jan 02 2017 bcornec <bcornec> 19.6.0-1.mga6
+ Revision: 1079643
- update to upstream python-gunicorn 19.6.0

* Fri Feb 19 2016 umeabot <umeabot> 19.1.1-7.mga6
+ Revision: 970881
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 19.1.1-6.mga6
+ Revision: 888795
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 19.1.1-5.mga5
+ Revision: 743177
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 19.1.1-4.mga5
+ Revision: 728711
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 19.1.1-3.mga5
+ Revision: 688070
- Mageia 5 Mass Rebuild

* Wed Sep 10 2014 bcornec <bcornec> 19.1.1-2.mga5
+ Revision: 674525
- Forgot to bump the rel tag for previous modifs.
- Adds support for python2 build for gunicorn to easy docker-io-registry build

* Wed Sep 03 2014 bcornec <bcornec> 19.1.1-1.mga5
+ Revision: 671196
- Fix Group: entry in spec file to be Mageia compliant
- Update sha1.lst
- Import python-gunicorn from Fedora with Mageia adaptations
- Created package structure for python-gunicorn.

